package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author 陈标
 * @Date 2020/3/5 18:37
 */
public class CreateToolInterfaceRequest implements Serializable {
    private static final long serialVersionUID = -2083786447034601918L;

    @ApiModelProperty
    private String id;
    @ApiModelProperty("项目名称")
    private String projectName;
    @ApiModelProperty("接口名称")
    private String interfaceName;
    @ApiModelProperty("接口地址")
    private String interfaceUrl;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getInterfaceUrl() {
        return interfaceUrl;
    }

    public void setInterfaceUrl(String interfaceUrl) {
        this.interfaceUrl = interfaceUrl;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
